# pod source for wgetpaste man page. Convert with:
# pod2man --stderr -s1 -cSlackBuilds.org -r2.25 -u wgetpaste.pod > wgetpaste.1

=pod

=encoding utf8

=head1 NAME

wgetpaste - Command-line interface to various pastebin sites

=head1 SYNOPSIS

wgetpaste [options] [file[s]]

=head1 OPTIONS

=over 4

=item -l, --language LANG

set language (defaults to "Plain Text")

=item -d, --description DESCRIPTION

set description (defaults to "stdin" or filename)

=item -n, --nick NICK

set nick (defaults to your username)

=item -s, --service SERVICE

set service to use (defaults to "dpaste")

=item -e, --expiration EXPIRATION

set when it should expire (defaults to "1 month")

=item -S, --list-services

list supported pastebin services

=item -L, --list-languages

list languages supported by the specified service

=item -E, --list-expiration

list expiration setting supported by the specified service

=item -u, --tinyurl URL

convert input url to tinyurl

=item -c, --command COMMAND

paste COMMAND and the output of COMMAND

=item -i, --info

append the output of `wgetpaste_info`

=item -I, --info-only

paste the output of `wgetpaste_info` only

=item -x, --xcut

read input from clipboard (requires xclip)

=item -X, --xpaste

write resulting url to the X primary selection buffer (requires xclip)

=item -C, --xclippaste

write resulting url to the X clipboard selection buffer (requires xclip)

=item -r, --raw

show url for the raw paste (no syntax highlighting or html)

=item -t, --tee

use tee to show what is being pasted

=item -v, --verbose

show wget stderr output if no url is received

=item --completions

emit output suitable for shell completions (only affects --list-*)

=item --debug

be *very* verbose (implies -v)

=item -h, --help

show this help

=item -g, --ignore-configs

ignore /etc/wgetpaste.conf, ~/.wgetpaste.conf etc.

=item --version

show version information

=back

Defaults (DEFAULT_{NICK,LANGUAGE,EXPIRATION}[_${SERVICE}] and DEFAULT_SERVICE)
can be overridden globally in /etc/wgetpaste.conf or /etc/wgetpaste.d/*.conf or
per user in any of ~/.wgetpaste.conf or ~/.wgetpaste.d/*.conf.

An additional http header can be passed by setting HEADER_${SERVICE} in any of the
configuration files mentioned above. For example, authenticating with github gist:
HEADER_gists="Authorization: token 1234abc56789..."

=head1 BUGS

B<wgetpaste> works by hard-coding URLs and CGI parameters into
the script. This means that if a paste service's web site changes,
B<wgetpaste> might stop working with that site. Currently (January 2015),
the B<ca> (http://pastebin.ca) and B<bpaste> (http://bpaste.net) services
are broken, and the others have been tested and work OK.

=head1 AUTHOR

Copyright (c) 2007 Bo Ørsted Andresen <bo.andresen@zlin.dk>

Distributed as-is. With no warranties.

Man page created by B. Watson <urchlay@slackware.uk>, for the SlackBuilds.org project (but
it may be used by anyone).
